%define shortname	torrent-rasterbar
%define major		9
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

%global binding		0
%define url_ver	        %(echo %{version}|sed 's/[.]/_/g')

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	1.1.2
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	https://github.com/arvidn/libtorrent/releases/download/libtorrent-%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		libtorrent-rasterbar-1.1.2-link.patch
Patch1:		rb_libtorrent-1.1.2-system-tommath.patch
Patch2:		rb_libtorrent-1.1.1-asio-ssl-headers.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	tommath-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(geoip)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes:	%{mklibname %{shortname} 1}

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
BuildRequires:	python
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/Libraries
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
%if %binding
	--enable-python-binding \
%else
	--disable-python-binding \
%endif
	--with-zlib=system \
	--with-libgeoip=system \
	--with-boost-libdir=%{_libdir} \
	--enable-encryption \
	--enable-dht
%make

%install
rm -rf %buildroot
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%if %binding
%files -n python-%{name}
%{python2_sitearch}/*.so
%{python2_sitearch}/*.egg-info
%endif


%changelog
* Wed Apr 25 2018 adrianomorselli <adrianomorselli> 1.1.2-1uplos2018
- update for new boost
